<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
$ttl="Галерея чата";
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");
$nocache = rand(10000, 99999);
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);


switch($ver)
{

////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";





$mss=mysql_fetch_array(mysql_query("select * from `chat_video` where `id`='".intval(mysql_escape_string($_GET['id']))."';"));
$uid = mysql_escape_string(htmlspecialchars($_GET['uid']));

  IF($level >= 4)
  {

	IF ($_GET['act']=="del")
	{

			    IF (mysql_query("DELETE FROM `chat_video` where `video`='".mysql_escape_string($_GET['id_video'])."' LIMIT 1;"))
				{
				  		IF(unlink("video/".$_GET['id_video'].""))
				  		{
                        echo "<b>Видео успешно удаленно...</b><br/>";
				        }

		        }

	}

  }

  	 $mss=mysql_query("select * from `chat_video` order by id desc;");
      $page = mysql_escape_string(htmlspecialchars($_GET['page']));
      if ($page<=0)
      {
      $page=1;
      }
      $count = mysql_num_rows($mss);


	while($rede=mysql_fetch_array($mss))
	{
	 if ($i<=$page*5 & $i>=($page-1)*5)
     {


     $dir='video';
     $dirs=$rede['video'];


      $type = explode(".", $dirs);

                                        if ($type[count($type) - 1]=='3gp')
                                        {
                                        $modelx = '3gp';
                                        }
                                        elseif ($type[count($type) - 1]=='mp4')
                                        {
                                        $modelx = 'mp4';
                                        }

        $infors=mysql_fetch_array(mysql_query("select * from `chat_users` where `id`='".$rede['iduser']."';"));

        echo'<fieldset>';
        echo "<a href='/video/".$rede['video']."'>".$rede['descr']."</a><br />";


        IF($level >= 5)
        {
        echo "[<a href='/videogalery.php?ver=wml&amp;act=del&amp;id_video=".$dirs."'>Удалить</a>]<br/>";
        }


	    echo "Автор: <a href='/info.php?ver=wml&amp;act=inf&amp;uid=".$rede['iduser']."'>".$infors['nickname']."</a> ";
	    echo "<a href='/videot.php?".SID."&amp;ver=wml&amp;uid=".$rede['iduser']."'>>></a><br/>";

    	echo "Добавленна: ".date("d-m-Y (H:i)",$rede['time'])."<br/>";

      echo'</fieldset>';


     }

    ++$i;



    }


	$prev=$page-1;
	if ($prev!=0)
	{
	print "<a href='/videogalery/wml/".$prev."'>&#xab;Пред.</a>";}
    else
	{
	print "&#xab;Пред.";
	}
print " | ";
    if ($count>5)
	{


	  if ($page<ceil($count/5))
	   {$next=$page+1;
   	   print "<a href='/videogalery/wml/".$next."'>След.&#xbb;</a>";
	   }
       else
	   {
	   print "След.&#xbb;";
	   }


    }
    else
	{
	print "След.&#xbb;";
    }



echo "<br/>• <a href='/menu/wml'>Прихожая</a><br/>";
include('banners/kabinet');
echo"$wmlfoot";
echo "</p></card></wml>";

break;




////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");
//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `id` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
$mss=mysql_fetch_array(mysql_query("select * from `chat_video` where `id`='".intval(mysql_escape_string($_GET['id']))."';"));




$uid = mysql_escape_string(htmlspecialchars($_GET['uid']));


  IF($level >= 4)
  {

	IF ($_GET['act']=="del")
	{

			    IF (mysql_query("DELETE FROM `chat_video` where `video`='".mysql_escape_string($_GET['id_video'])."' LIMIT 1;"))
				{
				  		IF(unlink("video/".$_GET['id_video'].""))
				  		{
                        echo "<b>Видео успешно удаленно...</b><br/>";
				        }

		        }

	}

  }


  	 $mss=mysql_query("select * from `chat_video` order by id desc;");
      $page = mysql_escape_string(htmlspecialchars($_GET['page']));
      if ($page<=0)
      {
      $page=1;
      }
      $count = mysql_num_rows($mss);


	while($rede=mysql_fetch_array($mss))
	{
	 if ($i<=$page*5 & $i>=($page-1)*5)
     {


	  echo "<div class=\"d1\">";

     $dir='video';
     $dirs=$rede['video'];


      $type = explode(".", $dirs);

                                         if ($type[count($type) - 1]=='3gp')
                                        {
                                        $modelx = '3gp';
                                        }
                                        elseif ($type[count($type) - 1]=='mp4')
                                        {
                                        $modelx = 'mp4';
                                        }

        $infors=mysql_fetch_array(mysql_query("select * from `chat_users` where `id`='".$rede['iduser']."';"));


        echo "<a href='/video/".$rede['video']."'>".$rede['descr']."</a><br />";

        IF($level >= 5)
        {
        echo "[<a href='/videogalery.php?ver=html&amp;act=del&amp;id_video=".$dirs."'>Удалить</a>]<br/>";
        }


	    echo "Автор: <a href='/info.php?ver=html&amp;act=inf&amp;uid=".$rede['iduser']."'>".$infors['nickname']."</a> ";
	    echo "<a href='/videot.php?ver=html&amp;uid=".$rede['iduser']."'>>></a><br/>";

    	echo "Добавленна: ".date("d-m-Y (H:i)",$rede['time'])."<br/>";
echo "</div>";

     }

    ++$i;



    }


	$prev=$page-1;
	if ($prev!=0)
	{
	print "<a href='/videogalery/html/".$prev."'>&#xab;Пред.</a>";}
    else
	{
	print "&#xab;Пред.";
	}
print " | ";
    if ($count>5)
	{


	  if ($page<ceil($count/5))
	   {$next=$page+1;
   	   print "<a href='/videogalery/html/".$next."'>След.&#xbb;</a>";
	   }
       else
	   {
	   print "След.&#xbb;";
	   }


    }
    else
	{
	print "След.&#xbb;";
    }


echo "<br/>• <a href='/menu/html'>Прихожая</a><br/>";
include('banners/kabinet');
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}

?>